https://pulumi.com logo
#general
Title
# general
e

early-musician-41645

10/24/2018, 10:40 PM
Here's a higher-level error:
Copy code
$ pulumi new aws-python --dir vnext-cluster-poc
This command will walk you through creating a new Pulumi project.

Enter a value or leave blank to accept the default, and press <ENTER>.
Press ^C at any time to quit.
project name: (vnext-cluster-poc)
project description: (A minimal AWS Python Pulumi program)
Created project 'vnext-cluster-poc'.
stack name: (vnext-cluster-poc-dev)
Created stack 'vnext-cluster-poc-dev'
aws:region: The AWS region to deploy into: (us-east-1) us-west-2
Installing dependencies...
Your new project is configured and ready to go!
Previewing update (vnext-cluster-poc-dev):

     Type                     Name                                     Plan       Info
 +   pulumi:pulumi:Stack      vnext-cluster-poc-vnext-cluster-poc-dev  create
     └─ pulumi:providers:aws  default                                             1 error

Diagnostics:
  pulumi:providers:aws (default):
    error: no resource plugin 'aws' found in the workspace or on your $PATH

error: an error occurred while advancing the preview
What's up with that error?